Subject: RE: [Dime] MIP6 App ID/ revise RFC 3588???

From: "Glen Zorn \(gwz\)" <[email-masked]>
Date: Tue, 15 Aug 2006 10:27:00 -0700

Because RFC 3588 defines a single Application ID for Mobile IP and 3588 is being revised anyway.

If this was a brand new application, it would not matter, but you already have one App ID for Mobile IP, that could only be used for MIP4, if you now define a different App ID for Mip6. 

OK, so what?  The app ID defined in 3588 is pretty obviously for MIP v4, the one defined in 4004 is _specifically_ for MIP v4, & MIP v6 _is_ a brand new application....

________________________________

From: Avi Lior [mailto:[email-masked]] 
Sent: Tuesday, August 15, 2006 7:25 AM
To: Madjid Nakhjiri; Julien Bournelle
Cc: [email-masked]
Subject: RE: [Dime] MIP6 App ID/ revise RFC 3588???

I don't think RFC3588 needs to be touched when adding an new Application ID. Neither should

Why do you think you need to touch 3588 or 4004?

-----Original Message-----
From: Madjid Nakhjiri [mailto:[email-masked]]
Sent: Tue 8/15/2006 10:07 AM
To: Avi Lior; 'Julien Bournelle'
Cc: [email-masked]; 'Madjid Nakhjiri'
Subject: RE: [Dime] MIP6 App ID/ revise RFC 3588???

Hi Avi,

Not sure what "correct" meansJ I am planning on looking a bit closer at 3588 to see exactly how "application" and "App ID" is used.

As I said I _prefer_ adding a new Application ID for Mobile IPv6, but then both RFC 3588 and 4004 needs to be revised to reflect that, I think the harm for that is minimal anyway, given the fairly rare deployment of 4004 (I think).

Madjid.

________________________________

From: Avi Lior [mailto:[email-masked]]
Sent: Tuesday, August 15, 2006 7:01 AM
To: Madjid Nakhjiri; Julien Bournelle
Cc: [email-masked]
Subject: RE: [Dime] MIP6 App ID/ revise RFC 3588???

How about the correct (IMO) option and that is assign this new application its own Application ID.  THis afterall is what an Application ID is supposed to do.

-----Original Message-----
From: Madjid Nakhjiri [mailto:[email-masked]]
Sent: Fri 8/11/2006 6:49 PM
To: 'Julien Bournelle'
Cc: [email-masked]
Subject: RE: [Dime] MIP6 App ID/ revise RFC 3588???

Hi Julien,

Thanks for pointing me to the archives.
I have one general issue that maybe is related to me not quite understanding
EAP-IKEv2 and that is EAP is run between a peer and an EAP server (in this
case the backend AAA server). EAP-IKEv2 was designed so that a mature
authentication/key management method could be used within EAP framework.
Running EAP-IKEv2 results in authentication of peer to backend AAA, not to
HA and possibly a key between the peer and AAA server. How does this help
the need for IPsec between MN and HA?

Now as far as the discussions on the archives, RFC 4072 only talks about
carrying EAP over Diameter without talking about what EAP is being used for
(your question: mobility versus access service). I think distinguishing
mobility versus access is a AAA signaling issue not an EAP signaling issue.
In RADIUS and MIP4 it is simpler (look at draft-nakhjiri-radius-mip4-02)
because there are attributes related to MIP4 authentication (such as
MIP-MN-AAA-Authenticator, etc) within the Access Request that tells the
server this is about RADIUS. Diameter on the other hand has the notion of
Application ID and should not rely on explicit hint on this. When we got to
the point of trying to translate Diameter messaging to RADIUS, we had to
resort to port types, because Diameter had different messages (depending on
whether HA or FA were involved) while all RADIUS had was Access
Request/Accepts not recognizing between HA and FA.
Here your case is different. Diameter already has an Application ID for
Mobile IP. That is how you distinguish between access and mobility service,
not through service type. Now there are two choices as I said before:

A) revise 3588 to have one App ID for MIPv4 and one for MIPv6 (separate MIP6
split versus integrated through service types). This of course mean revising
4004 to indicate specifically what MIPv4 App ID is.

B) Use the same App ID of 3588 for both MIP4 and MIP6, but then you have to
define 4 service types
1) MIP4 split
2) MIP4 integrated
3) MIP6 split
4) MIP6 integrated.

I prefer A (I can live with B, if you tie a rope to my neck, just kidding).
I think A is cleaner. I think split-integrated versus MIP4-mip6 are two
different degrees of freedom. Just because MIP4 WG did not make the split
integrated distinction, does not mean the business case cannot exist.
Plus that Avi stated that Service type seems to be mandatory.

Madjid

-----Original Message-----
From: Julien Bournelle [mailto:[email-masked]]
Sent: Wednesday, August 09, 2006 1:39 AM
To: Madjid Nakhjiri
Cc: 'Julien Bournelle'; 'Hannes Tschofenig'; [email-masked]
Subject: Re: [Dime] MIP6 App ID/ revise RFC 3588???

Hi madjid,

On Tue, Aug 08, 2006 at 04:51:08PM -0700, Madjid Nakhjiri wrote:
> Hi Julien,
>
> I just looked at the RFC 4005 definition of Service_Type.
> The services listed there are quite mixed. I am not quite sure what
> applications besides NASREQ are supposed to support Service_Type? Or is it
> that Mobile IP application assumes NASREQ must be supported?

 Let me try to sum up the issue:

 In the split scenario, the HA acts as a IKEv2 responder and uses EAP
 (oIKEv2) to authenticate the user (of the MN). The HA then relies on a
 EAP/AAA server and thus could use Diameter EAP. THe problem that we
 have here is that we are not performing AAA for "basic" network access
 but for the IPv6 Mobility service. Thus we have the problem of, how the
 AAA server knows that.

 You can take a look at the thread:

 http://www1.ietf.org/mail-archive/web/dime/current/msg00262.html

 for previous discussions on this topic which is still unsolved.

 At this point, as noted in:

 http://www1.ietf.org/internet-drafts/draft-ietf-dime-mip6-split-00.txt

 the 2 options that we have are:

 - define a new Service-Type for "Mobile IPv6 - Split" and puts it in
   DER message (Diameter EAP Request)
 - define a new Application-ID and re-use Diameter EAP messages.

 Hope it helps,

 regards,

 Julien

>
> If one is to go about without modifying RFC 3588 that uses just one App ID
> for Mobile IP, then I guess there is just one choice of having
>
> two Service_types for Mobile IPv6
> and
> one Service_Type for Mobile IPv4,
>
> (3 total for Mobile IP), but then don't you have to modify RFC 4004 to add
> the service_type to Mobile IPv4?
>
> Madjid
>
> -----Original Message-----
> From: Julien Bournelle [mailto:[email-masked]]
> Sent: Monday, August 07, 2006 6:42 AM
> To: Madjid Nakhjiri
> Cc: 'Hannes Tschofenig'; [email-masked]
> Subject: Re: [Dime] MIP6 App ID/ was: IETF#66 Meeting Minutes
>
> HI madjid,
>
> On Mon, Aug 07, 2006 at 06:34:55AM -0700, Madjid Nakhjiri wrote:
> > No worries, I was being humorous. I wanted to see what was said during
the
> > meeting regarding the Mobile IP6 drafts. I tried to see the archive
> > discussions, but did not see anything in June or July either.
> > I am seeing all this discussion on the use of App IDs on the ML, so I
> wanted
> > to see if MIP6 is getting its own App ID, or it is using the App ID
> assigned
> > to Mobiloe IP in 3588?
>
>  basically the question is: do we need a specific App ID or do a
>  Service-Type AVP (indicating that it's a HA for the split scenario) is
>  sufficient ?
>
>
>  regards,
>
>  Julien
>
> >
> > R,
> >
> > Madjid
> >
> > -----Original Message-----
> > From: Hannes Tschofenig [mailto:[email-masked]]
> > Sent: Saturday, August 05, 2006 5:22 AM
> > To: Madjid Nakhjiri
> > Cc: [email-masked]
> > Subject: Re: [Dime] IETF#66 Meeting Minutes
> >
> > I agree that the meeting minutes are somewhat brief this time.
> > We will do better with the next IETF meeting...
> >
> > Ciao
> > Hannes
> >
> > Madjid Nakhjiri wrote:
> > > Was this minutes or 10-minutes:-)
> > >
> > > -----Original Message-----
> > > From: Hannes Tschofenig [mailto:[email-masked]]
> > > Sent: Wednesday, July 19, 2006 7:56 AM
> > > To: [email-masked]
> > > Subject: [Dime] IETF#66 Meeting Minutes
> > >
> > > Hi all,
> > >
> > > please take a look at the meeting minutes:
> > > http://www3.ietf.org/proceedings/06jul/minutes/dime.txt
> > >
> > > Ciao
> > > Hannes
> > >
> > > _______________________________________________
> > > DiME mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/dime
> > >
> > >
> > >
> >
> >
> >
> >
> > _______________________________________________
> > DiME mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/dime
>
> --
> julien.bournelle at int-evry.fr
>
>

--
julien.bournelle at int-evry.fr

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime

---

From: Madjid Nakhjiri <[email-masked]>
Date: Tue, 15 Aug 2006 10:34:33 -0700

Obvious to us, obviously? 

Ok, seems like everybody agrees on giving MIP6 a new App ID, so I am happy.
If newcomers don't get the App ID list in 3588, that is their problem, I
love working on AAA, there is so much job security.

  _____  

From: Glen Zorn (gwz) [mailto:[email-masked]] 
Sent: Tuesday, August 15, 2006 10:27 AM
To: Madjid Nakhjiri; Avi Lior; Julien Bournelle
Cc: [email-masked]
Subject: RE: [Dime] MIP6 App ID/ revise RFC 3588???

Because RFC 3588 defines a single Application ID for Mobile IP and 3588 is
being revised anyway.

If this was a brand new application, it would not matter, but you already
have one App ID for Mobile IP, that could only be used for MIP4, if you now
define a different App ID for Mip6. 

OK, so what?  The app ID defined in 3588 is pretty obviously for MIP v4, the
one defined in 4004 is _specifically_ for MIP v4, & MIP v6 _is_ a brand new
application....

  _____  

 

I don't think RFC3588 needs to be touched when adding an new Application ID.
Neither should

-----Original Message-----
From: Madjid Nakhjiri [mailto:[email-masked]]
Sent: Tue 8/15/2006 10:07 AM
To: Avi Lior; 'Julien Bournelle'
Cc: [email-masked]; 'Madjid Nakhjiri'
Subject: RE: [Dime] MIP6 App ID/ revise RFC 3588???

Hi Avi,

Not sure what "correct" meansJ I am planning on looking a bit closer at 3588
to see exactly how "application" and "App ID" is used.

As I said I _prefer_ adding a new Application ID for Mobile IPv6, but then
both RFC 3588 and 4004 needs to be revised to reflect that, I think the harm
for that is minimal anyway, given the fairly rare deployment of 4004 (I
think).

Madjid.

How about the correct (IMO) option and that is assign this new application
its own Application ID.  THis afterall is what an Application ID is supposed
to do.

-----Original Message-----
From: Madjid Nakhjiri [mailto:[email-masked]]
Sent: Fri 8/11/2006 6:49 PM
To: 'Julien Bournelle'
Cc: [email-masked]
Subject: RE: [Dime] MIP6 App ID/ revise RFC 3588???

Hi Julien,

Madjid

-----Original Message-----
From: Julien Bournelle [mailto:[email-masked]]
Sent: Wednesday, August 09, 2006 1:39 AM
To: Madjid Nakhjiri
Cc: 'Julien Bournelle'; 'Hannes Tschofenig'; [email-masked]
Subject: Re: [Dime] MIP6 App ID/ revise RFC 3588???

Hi madjid,

 Hope it helps,

 regards,

 Julien

the

---

From: "Avi Lior" <[email-masked]>
Date: Tue, 15 Aug 2006 13:57:01 -0400

To summarize:

No need to update 3588 or 4004 just because we add a new application with its own application id.

Madjid wrote:

Ok, seems like everybody agrees on giving MIP6 a new App ID, so I am happy. If newcomers don't get the App ID list in 3588, that is their problem, I love working on AAA, there is so much job security.

I dont think that this is strictly a AAA problem. Nor do I think that this is a problem.  IANA is the authoritative place where ids or assigned numbers of all sorts are kept.  Hence the name.

-----Original Message-----
From: Madjid Nakhjiri [mailto:[email-masked]]
Sent: Tue 8/15/2006 1:34 PM
To: 'Glen Zorn (gwz)'; Avi Lior; 'Julien Bournelle'
Cc: [email-masked]; 'Madjid Nakhjiri'
Subject: RE: [Dime] MIP6 App ID/ revise RFC 3588???

Ok, seems like everybody agrees on giving MIP6 a new App ID, so I am happy. If newcomers don't get the App ID list in 3588, that is their problem, I love working on AAA, there is so much job security.

 

-----Original Message-----
From: Madjid Nakhjiri [mailto:[email-masked]]
Sent: Tue 8/15/2006 10:07 AM
To: Avi Lior; 'Julien Bournelle'
Cc: [email-masked]; 'Madjid Nakhjiri'
Subject: RE: [Dime] MIP6 App ID/ revise RFC 3588???

Hi Avi,

Madjid.

-----Original Message-----
From: Madjid Nakhjiri [mailto:[email-masked]]
Sent: Fri 8/11/2006 6:49 PM
To: 'Julien Bournelle'
Cc: [email-masked]
Subject: RE: [Dime] MIP6 App ID/ revise RFC 3588???

Hi Julien,

Madjid

-----Original Message-----
From: Julien Bournelle [mailto:[email-masked]]
Sent: Wednesday, August 09, 2006 1:39 AM
To: Madjid Nakhjiri
Cc: 'Julien Bournelle'; 'Hannes Tschofenig'; [email-masked]
Subject: Re: [Dime] MIP6 App ID/ revise RFC 3588???

Hi madjid,

 Hope it helps,

 regards,

 Julien

the

---

From: Madjid Nakhjiri <[email-masked]>
Date: Tue, 15 Aug 2006 14:50:13 -0700

OK, let me add my own summary:

I am _for_ a new application ID for Mobile IPv6.

I did not say update RFC3588 because we add a new application ID, this is
not just a new application, it is a spawn of previously defined application.
Now with that being said, I don't really care where App ID for MIP6 is
posted as long as it is not in USA today!!

It just makes sense to revise 3588 text IF AND ONLY IF 3588 is being
revised.

Madjid

  _____  

From: Avi Lior [mailto:[email-masked]] 
Sent: Tuesday, August 15, 2006 10:57 AM
To: Madjid Nakhjiri; Glen Zorn (gwz); Julien Bournelle
Cc: [email-masked]
Subject: RE: [Dime] MIP6 App ID/ revise RFC 3588???

To summarize:

No need to update 3588 or 4004 just because we add a new application with
its own application id.

Madjid wrote:

I dont think that this is strictly a AAA problem. Nor do I think that this
is a problem.  IANA is the authoritative place where ids or assigned numbers
of all sorts are kept.  Hence the name.

-----Original Message-----
From: Madjid Nakhjiri [mailto:[email-masked]]
Sent: Tue 8/15/2006 10:07 AM
To: Avi Lior; 'Julien Bournelle'
Cc: [email-masked]; 'Madjid Nakhjiri'
Subject: RE: [Dime] MIP6 App ID/ revise RFC 3588???

Hi Avi,

Madjid.

-----Original Message-----
From: Madjid Nakhjiri [mailto:[email-masked]]
Sent: Fri 8/11/2006 6:49 PM
To: 'Julien Bournelle'
Cc: [email-masked]
Subject: RE: [Dime] MIP6 App ID/ revise RFC 3588???

Hi Julien,

Madjid

-----Original Message-----
From: Julien Bournelle [mailto:[email-masked]]
Sent: Wednesday, August 09, 2006 1:39 AM
To: Madjid Nakhjiri
Cc: 'Julien Bournelle'; 'Hannes Tschofenig'; [email-masked]
Subject: Re: [Dime] MIP6 App ID/ revise RFC 3588???

Hi madjid,

 Hope it helps,

 regards,

 Julien

the